ru.bitel.oss.systems.inventory.service.server.bean

## Class ServiceDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<Service>
    - - ru.bitel.oss.systems.inventory.service.server.bean.ServiceDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, ru.bitel.common.worker.Recyclable

      public class ServiceDao
      extends ru.bitel.common.dao.AbstractIdDao<Service>
      implements ru.bitel.common.worker.Recyclable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int contractId, int id)`
    `void` | `deleteByProduct(int contractId, int productId)`
    `protected Service` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<Service>` | `list(int contractId, int productId)`
    `java.util.List<Service>` | `list(int moduleId, int contractId, int accountId, boolean kernel, java.util.Date timeFrom, java.util.Date timeTo, java.util.Date timeFromIntersect, java.util.Date timeToIntersect, boolean needNonActive, boolean titleLoad)`
    `void` | `recycle()` В реализацию данного метода стоит включить инструкции, которые освобождают использованные в классе ресурсы (закешированые PreparedStatement, дао, отнаследованные от AbstractDao, потоки ввода/вывода ).
    `void` | `updateDeviceState(int contractId, int tvAccountId, int serviceId, short deviceState)`
    `protected void` | `updateImpl(Service b)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceDao

          public ServiceDao(java.sql.Connection con)

  - ### Method Detail

    - #### list

          public java.util.List<Service> list(int contractId,
                                              int productId)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<Service> list(int moduleId,
                                              int contractId,
                                              int accountId,
                                              boolean kernel,
                                              java.util.Date timeFrom,
                                              java.util.Date timeTo,
                                              java.util.Date timeFromIntersect,
                                              java.util.Date timeToIntersect,
                                              boolean needNonActive,
                                              boolean titleLoad)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected Service getFromRS(java.sql.ResultSet rs)
                               throws java.sql.SQLException,
                                      ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Service>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(Service b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Service>`
      Parameters:
        `b` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### updateDeviceState

          public void updateDeviceState(int contractId,
                                        int tvAccountId,
                                        int serviceId,
                                        short deviceState)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public void delete(int contractId,
                             int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteByProduct

          public void deleteByProduct(int contractId,
                                      int productId)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### recycle

          public void recycle()

      Description copied from interface: `ru.bitel.common.worker.Recyclable`
      В реализацию данного метода стоит включить инструкции, которые освобождают использованные в классе ресурсы (закешированые PreparedStatement, дао, отнаследованные от AbstractDao, потоки ввода/вывода ).
      Specified by:
        `recycle` in interface `ru.bitel.common.worker.Recyclable`
      Overrides:
        `recycle` in class `ru.bitel.common.dao.AbstractDao<Service>`